Skip to main content
GET
/
v3
/
products
List business products
curl --request GET \
  --url https://api.myscalev.com/v3/products \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "affiliate_commission_rate": "<string>",
      "affiliate_pro_commission_rate": "<string>",
      "business": {
        "account_holder": "<string>",
        "email": "jsmith@example.com",
        "id": 123,
        "is_banned": true,
        "logo": "<string>",
        "unique_id": "<string>",
        "username": "<string>"
      },
      "created_at": "2023-11-07T05:31:56Z",
      "created_by": {
        "aff_code": "<string>",
        "avatar": "<string>",
        "email": "jsmith@example.com",
        "fullname": "<string>",
        "id": 123,
        "phone": "<string>"
      },
      "custom_domains": [
        {
          "business_id": 123,
          "full_url": "<string>",
          "id": 123
        }
      ],
      "description": "<string>",
      "display": "<string>",
      "id": 123,
      "images": [
        "<string>"
      ],
      "is_affiliate_auto_accept": true,
      "is_affiliate_enabled": true,
      "is_affiliate_pro_enabled": true,
      "is_inventory": true,
      "is_multiple": true,
      "is_product_sharing": true,
      "item_type": "physical",
      "item_type_name": "<string>",
      "labels": [
        {
          "name": "<string>"
        }
      ],
      "last_updated_at": "2023-11-07T05:31:56Z",
      "last_updated_by": {
        "aff_code": "<string>",
        "avatar": "<string>",
        "email": "jsmith@example.com",
        "fullname": "<string>",
        "id": 123,
        "phone": "<string>"
      },
      "name": "<string>",
      "option1_name": "<string>",
      "option2_name": "<string>",
      "option3_name": "<string>",
      "product_partners": [
        {
          "affiliate_pro_domains": [
            {
              "business_id": 123,
              "full_url": "<string>",
              "id": 123
            }
          ],
          "affiliate_pro_links": [
            {
              "checkout_url": "<string>",
              "domain": "<string>",
              "product_url": "<string>"
            }
          ],
          "affiliate_status": "<string>",
          "approved_at": "2023-11-07T05:31:56Z",
          "created_at": "2023-11-07T05:31:56Z",
          "custom_domains": [
            {
              "business_id": 123,
              "full_url": "<string>",
              "id": 123
            }
          ],
          "id": 123,
          "message_to_product_owner": "<string>",
          "partner": {
            "account_holder": "<string>",
            "email": "jsmith@example.com",
            "id": 123,
            "is_banned": true,
            "logo": "<string>",
            "unique_id": "<string>",
            "username": "<string>"
          },
          "partnership_type": "<string>",
          "rejected_at": "2023-11-07T05:31:56Z",
          "requested_at": "2023-11-07T05:31:56Z",
          "store_id": 123
        }
      ],
      "uuid": "<string>",
      "variants": [
        {
          "currency": "IDR",
          "digital_product_files": [
            {
              "content_type": "<string>",
              "id": 123,
              "name": "<string>",
              "size_in_bytes": 123,
              "url": "<string>"
            }
          ],
          "id": 123,
          "images": [
            "<string>"
          ],
          "interval": "day",
          "interval_count": 123,
          "is_checked": true,
          "is_editable": true,
          "item_type": "physical",
          "metadata": {},
          "name": "<string>",
          "pricing_type": "one_time",
          "product_name": "<string>",
          "self_file_urls": [
            "<string>"
          ],
          "unique_id": "<string>",
          "uuid": "<string>",
          "validity_period": 123,
          "validity_period_unit": "day",
          "weight": 123
        }
      ]
    }
  ],
  "is_paginated": true,
  "has_next": false,
  "last_id": 99,
  "page_size": 25
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page_size
integer

Number of items per page (default: 25, max: 25)

Required range: x <= 25
Example:

25

last_id
integer

Last order ID for cursor-based pagination

Search term to filter products by name (case-insensitive, partial match)

is_inventory
boolean

Filter products by inventory tracking status (true or false)

is_product_sharing
boolean

Filter products by product sharing status (true or false)

warehouse_id
integer

Filter products associated with a specific warehouse ID

qty_type
enum<string>

Type of quantity to filter by. Options are 'available_qty' (only products with variants that have available quantity > 0)

Available options:
available_qty
store_id
integer

Filter products associated with a specific store ID

is_checked
boolean

Show variants in products where is_checked is true or false

is_owned
boolean

Filter products by ownership. 'true' returns products owned by the business, 'false' returns shared products

item_type
enum<string>

Filter products by item type (physical, digital, course, license, subscription) Type of the product item

Available options:
physical,
digital,
course,
license,
subscription
label
string

Filter products associated with a specific label name

pricing_type
enum<string>

Filter products by pricing type (one_time or recurring)

Available options:
one_time,
recurring

Response

Products list

Paginated list payload for v3.

data
ProductList · object[]
required
is_paginated
enum<boolean>
required
Available options:
true
Example:

true

has_next
boolean
default:false
Example:

false

last_id
integer | null
Example:

99

page_size
integer
default:25
Example:

25